# LocaleDetect

Detect Locale for Rails app using request, session or accept-language headers.
Supplied locale is checked agains a list of available locales to prevent creation of fake URLs.

## Installation

Add this line to your application's Gemfile:

    gem 'locale_detect'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install locale_detect

## Usage

1. Set default locale
    config.i18n.default_locale = :en

2. Set available locales
    config.available_locales = [ "en", "ru" ]

3. Override default_url_options
  def default_url_options(options = nil)
    { :locale => I18n.locale }
  end

4. Setup locale route
  scope '/:locale' do
    ...
  end

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
